> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v2workflowsruns



## OpenAPI

````yaml /api-reference/platform-api.json get /v2/workflows/runs
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.7.27
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
paths:
  /v2/workflows/runs:
    get:
      tags:
        - Workflows
      operationId: list
      parameters:
        - name: workflow_id
          required: false
          in: query
          schema:
            type: string
            format: uuid
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: number
        - name: cursor
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWorkflowRunsResponseDto'
components:
  schemas:
    ListWorkflowRunsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowRunItemDto'
        meta:
          $ref: '#/components/schemas/CursorMetaDto'
      required:
        - items
        - meta
    WorkflowRunItemDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        workflow_id:
          type: string
          format: uuid
        occurrence_at:
          type: string
          nullable: true
          format: date-time
        rerun_of:
          type: string
          nullable: true
          format: uuid
        requested_cutoff:
          format: date-time
          type: string
          description: >-
            Inclusive observation bound; period.end is the exclusive end of the
            stored half-open period.
        execution_status:
          type: string
          enum:
            - queued
            - running
            - succeeded
            - failed
            - cancelled
            - skipped
        tx_sync_status:
          type: string
          enum:
            - not_applicable
            - waiting
            - completed
            - expired
        delivery_status:
          type: string
          enum:
            - not_required
            - pending
            - sending
            - sent
            - failed
            - cancelled
        created_at:
          format: date-time
          type: string
        cases:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowRunCaseDto'
      required:
        - id
        - workflow_id
        - occurrence_at
        - rerun_of
        - requested_cutoff
        - execution_status
        - tx_sync_status
        - delivery_status
        - created_at
        - cases
    CursorMetaDto:
      type: object
      properties:
        next_cursor:
          type: string
          nullable: true
          description: >-
            Opaque string cursor pointing to the next page of results. null if
            there is no next page.
          example: eyJpZCI6IjkxeFFlV3Z...
        previous_cursor:
          type: string
          nullable: true
          description: >-
            Opaque string cursor pointing to the previous page of results. null
            if there is no previous page.
          example: eyJpZCI6IjkxeFFlV3Z...
        first_page_cursor:
          type: string
          description: >-
            Opaque string cursor pointing to the very first page in the entire
            dataset with respect to the current filter.
          example: eyJpZCI6IjkxeFFlV3Z...
        last_page_cursor:
          type: string
          nullable: true
          description: >-
            Opaque string cursor pointing to the very last page in the entire
            dataset with respect to the current filter.
          example: eyJpZCI6IjkxeFFlV3Z...
        total_count:
          type: number
          nullable: true
          description: Total number of results.
          example: 100
        page_number:
          type: number
          description: Current page number.
          example: 1
    WorkflowRunCaseDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        kind:
          type: string
          enum:
            - execution
            - delivery
      required:
        - id
        - kind
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````